package ai.codia.x.composeui.demo

import ai.codia.x.composeui.demo.ui.theme.CodiaDemoComposeUITheme
import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.border
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxHeight
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.offset
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.size
import androidx.compose.foundation.layout.width
import androidx.compose.foundation.layout.wrapContentHeight
import androidx.compose.foundation.layout.wrapContentSize
import androidx.compose.foundation.layout.wrapContentWidth
import androidx.compose.foundation.lazy.LazyColumn
import androidx.compose.foundation.lazy.items
import androidx.compose.foundation.lazy.rememberLazyListState
import androidx.compose.foundation.rememberScrollState
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.foundation.verticalScroll
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonDefaults
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.Surface
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.mutableStateListOf
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.clip
import androidx.compose.ui.draw.clipToBounds
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.layout.ContentScale
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.text.style.TextAlign
import androidx.compose.ui.text.style.TextOverflow
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp

/**
 * Created by codia-figma
 */
@Composable
fun CodiaMainView() {
    // Column-19:3184-ru phone
    Column(
        verticalArrangement = Arrangement.spacedBy(space = 50.dp, alignment = Alignment.Top),
        horizontalAlignment = Alignment.Start,
        modifier = Modifier
            .wrapContentHeight()
            .width(412.dp),
    ) {
        // Box-19:3185-Android Compact - 1
        Box(
            contentAlignment = Alignment.TopStart,
            modifier = Modifier
                .align(Alignment.Start)
                .fillMaxWidth()
                .padding(start = 0.dp, end = 0.dp)
                .height(917.dp)
                .clipToBounds(),
        ) {
            // Empty-19:3186-Rectangle 240652680
            Box(
                modifier = Modifier
                    .align(Alignment.TopStart)
                    .offset(x = 0.dp, y = 32.dp)
                    .size(412.dp, 383.dp),
            )
            // Empty-19:3187-Rectangle 240652681
            Box(
                modifier = Modifier
                    .align(Alignment.TopStart)
                    .size(412.dp, 393.dp),
            )
            // Column-19:3188-Frame 1
            Column(
                verticalArrangement = Arrangement.spacedBy(space = 14.dp, alignment = Alignment.Top),
                horizontalAlignment = Alignment.CenterHorizontally,
                modifier = Modifier
                    .align(Alignment.TopStart)
                    .offset(x = 104.dp, y = 100.dp)
                    .size(203.dp, 194.dp),
            ) {
                // Text-19:3189-ScanBait
                Text(
                    modifier = Modifier
                        .align(Alignment.Start)
                        .fillMaxWidth()
                        .padding(start = 0.dp, end = 0.dp)
                        .height(29.dp),
                    text = "ScanBait",
                    color = Color(0xffffffff),
                    fontSize = 24.sp,
                    fontWeight = FontWeight.Normal,
                    textAlign = TextAlign.Center,
                    overflow = TextOverflow.Ellipsis,
                )
                // Image-19:3190-Frame
                Image(
                    painter = painterResource(id = R.drawable.image_193190),
                    contentDescription = null,
                    contentScale = ContentScale.Fit,
                    modifier = Modifier
                        .align(Alignment.CenterHorizontally)
                        .size(105.dp, 137.dp)
                        .clipToBounds(),
                )
            }
            // Box-19:3197-Group 2085660510
            Box(
                contentAlignment = Alignment.TopStart,
                modifier = Modifier
                    .align(Alignment.TopStart)
                    .offset(x = 27.dp, y = 316.dp)
                    .size(358.dp, 316.dp),
            ) {
                // Box-19:3198-Group 2085660550
                Box(
                    contentAlignment = Alignment.TopStart,
                    modifier = Modifier
                        .align(Alignment.TopStart)
                        .size(358.dp, 316.dp),
                ) {
                    // Empty-19:3199-Rectangle 2
                    Box(
                        modifier = Modifier
                            .align(Alignment.TopStart)
                            .background(Color(0xfffafdff), RoundedCornerShape(30.dp))
                            .size(358.dp, 316.dp),
                    )
                    // Column-19:3200-Frame 2
                    Column(
                        verticalArrangement = Arrangement.spacedBy(space = 8.dp, alignment = Alignment.Top),
                        horizontalAlignment = Alignment.Start,
                        modifier = Modifier
                            .align(Alignment.TopStart)
                            .offset(x = 17.dp, y = 45.dp)
                            .size(321.dp, 54.dp),
                    ) {
                        // Text-19:3201-Добро пожаловать в ScanBait
                        Text(
                            modifier = Modifier
                                .align(Alignment.Start)
                                .fillMaxWidth()
                                .padding(start = 0.dp, end = 0.dp)
                                .height(23.dp),
                            text = "Добро пожаловать в ScanBait",
                            color = Color(0xff021829),
                            fontSize = 18.sp,
                            fontWeight = FontWeight.Normal,
                            textAlign = TextAlign.Center,
                            overflow = TextOverflow.Ellipsis,
                        )
                        // Text-19:3202-Система блеблеблеблеблебле
                        Text(
                            modifier = Modifier
                                .align(Alignment.Start)
                                .fillMaxWidth()
                                .padding(start = 0.dp, end = 0.dp)
                                .height(23.dp),
                            text = "Система блеблеблеблеблебле",
                            color = Color(0xff021829),
                            fontSize = 16.sp,
                            fontWeight = FontWeight.Normal,
                            textAlign = TextAlign.Center,
                            overflow = TextOverflow.Ellipsis,
                        )
                    }
                    // Row-19:3203-Frame 3
                    Row(
                        horizontalArrangement = Arrangement.spacedBy(space = 10.dp, alignment = Alignment.CenterHorizontally),
                        verticalAlignment = Alignment.CenterVertically,
                        modifier = Modifier
                            .align(Alignment.TopStart)
                            .offset(x = 17.dp, y = 135.dp)
                            .size(322.dp, 56.dp)
                            .padding(horizontal = 107.dp, vertical = 18.dp),
                    ) {
                        // Text-19:3204-ВХОД
                        Text(
                            modifier = Modifier
                                .align(Alignment.CenterVertically)
                                .wrapContentSize(),
                            text = "ВХОД",
                            color = Color(0xffffffff),
                            fontSize = 16.sp,
                            fontWeight = FontWeight.Normal,
                            textAlign = TextAlign.Center,
                            overflow = TextOverflow.Ellipsis,
                        )
                    }
                }
            }
            // Text-19:3207-БАИТ
            Text(
                modifier = Modifier
                    .align(Alignment.BottomCenter)
                    .offset(x = -1.5.dp, y = -24.dp)
                    .size(321.dp, 23.dp),
                text = "БАИТ",
                color = Color(0xff021829),
                fontSize = 16.sp,
                fontWeight = FontWeight.Normal,
                textAlign = TextAlign.Center,
                overflow = TextOverflow.Ellipsis,
            )
            // Text-55:1950-ru/eng
            Text(
                modifier = Modifier
                    .align(Alignment.TopStart)
                    .offset(x = 94.dp, y = 604.dp)
                    .size(224.dp, 19.dp),
                text = "ru/eng",
                color = undefined,
                fontSize = 16.sp,
                fontWeight = FontWeight.Normal,
                textAlign = TextAlign.Center,
                overflow = TextOverflow.Ellipsis,
            )
            // Image-55:1959-Frame
            Image(
                painter = painterResource(id = R.drawable.image_551959),
                contentDescription = null,
                contentScale = ContentScale.Fit,
                modifier = Modifier
                    .align(Alignment.TopStart)
                    .offset(x = 44.dp, y = 519.dp)
                    .size(322.dp, 56.dp)
                    .clipToBounds(),
            )
            // Text-19:3206-ВХОД ДЛЯ АДМИНА
            Text(
                modifier = Modifier
                    .align(Alignment.TopStart)
                    .wrapContentSize()
                    .offset(x = 123.5.dp, y = 537.5.dp),
                text = "ВХОД ДЛЯ АДМИНА",
                color = undefined,
                fontSize = 16.sp,
                fontWeight = FontWeight.Normal,
                textAlign = TextAlign.Center,
                overflow = TextOverflow.Ellipsis,
            )
        }
        // Box-19:3208-Android Compact - 5
        Box(
            contentAlignment = Alignment.TopStart,
            modifier = Modifier
                .align(Alignment.Start)
                .fillMaxWidth()
                .padding(start = 0.dp, end = 0.dp)
                .height(917.dp)
                .clipToBounds(),
        ) {
            // Empty-19:3209-Rectangle 240652681
            Box(
                modifier = Modifier
                    .align(Alignment.TopStart)
                    .offset(x = 0.dp, y = 32.dp)
                    .size(412.dp, 383.dp),
            )
            // Empty-19:3210-Rectangle 240652680
            Box(
                modifier = Modifier
                    .align(Alignment.TopStart)
                    .size(412.dp, 393.dp),
            )
            // Column-19:3211-Frame 7
            Column(
                verticalArrangement = Arrangement.spacedBy(space = 14.dp, alignment = Alignment.Top),
                horizontalAlignment = Alignment.CenterHorizontally,
                modifier = Modifier
                    .align(Alignment.TopCenter)
                    .wrapContentHeight()
                    .offset(x = -0.5.dp, y = 65.dp)
                    .width(203.dp),
            ) {
                // Text-19:3212-ScanBait
                Text(
                    modifier = Modifier
                        .align(Alignment.Start)
                        .fillMaxWidth()
                        .padding(start = 0.dp, end = 0.dp)
                        .height(29.dp),
                    text = "ScanBait",
                    color = Color(0xffffffff),
                    fontSize = 24.sp,
                    fontWeight = FontWeight.Normal,
                    textAlign = TextAlign.Center,
                    overflow = TextOverflow.Ellipsis,
                )
                // Image-19:3213-Frame
                Image(
                    painter = painterResource(id = R.drawable.image_193213),
                    contentDescription = null,
                    contentScale = ContentScale.Fit,
                    modifier = Modifier
                        .align(Alignment.CenterHorizontally)
                        .size(105.dp, 137.dp)
                        .clipToBounds(),
                )
            }
            // Box-19:3220-Group 2085660510
            Box(
                contentAlignment = Alignment.TopStart,
                modifier = Modifier
                    .align(Alignment.TopStart)
                    .offset(x = 27.dp, y = 316.dp)
                    .size(358.dp, 373.dp),
            ) {
                // Empty-19:3221-Rectangle 4
                Box(
                    modifier = Modifier
                        .align(Alignment.TopStart)
                        .offset(x = 17.dp, y = 202.dp)
                        .size(322.dp, 56.dp),
                )
                // Box-19:3222-Group 2085660551
                Box(
                    contentAlignment = Alignment.TopStart,
                    modifier = Modifier
                        .align(Alignment.TopStart)
                        .size(358.dp, 373.dp),
                ) {
                    // Empty-19:3223-Rectangle 2
                    Box(
                        modifier = Modifier
                            .align(Alignment.TopStart)
                            .background(Color(0xfffafdff), RoundedCornerShape(30.dp))
                            .size(358.dp, 373.dp),
                    )
                    // Column-19:3224-Frame 8
                    Column(
                        verticalArrangement = Arrangement.spacedBy(space = 8.dp, alignment = Alignment.Top),
                        horizontalAlignment = Alignment.Start,
                        modifier = Modifier
                            .align(Alignment.TopStart)
                            .offset(x = 17.dp, y = 45.dp)
                            .size(321.dp, 54.dp),
                    ) {
                        // Text-19:3225-Добро пожаловать в ScanBait
                        Text(
                            modifier = Modifier
                                .align(Alignment.Start)
                                .fillMaxWidth()
                                .padding(start = 0.dp, end = 0.dp)
                                .height(23.dp),
                            text = "Добро пожаловать в ScanBait",
                            color = Color(0xff021829),
                            fontSize = 18.sp,
                            fontWeight = FontWeight.Normal,
                            textAlign = TextAlign.Center,
                            overflow = TextOverflow.Ellipsis,
                        )
                        // Text-19:3226-Система блеблеблеблеблебле
                        Text(
                            modifier = Modifier
                                .align(Alignment.Start)
                                .fillMaxWidth()
                                .padding(start = 0.dp, end = 0.dp)
                                .height(23.dp),
                            text = "Система блеблеблеблеблебле",
                            color = Color(0xff021829),
                            fontSize = 16.sp,
                            fontWeight = FontWeight.Normal,
                            textAlign = TextAlign.Center,
                            overflow = TextOverflow.Ellipsis,
                        )
                    }
                    // Box-19:3227-Group 2085660513
                    Box(
                        contentAlignment = Alignment.TopStart,
                        modifier = Modifier
                            .align(Alignment.TopStart)
                            .offset(x = 100.dp, y = 287.dp)
                            .size(156.dp, 44.dp),
                    ) {
                        // Empty-19:3228-Rectangle 3
                        Box(
                            modifier = Modifier
                                .align(Alignment.TopStart)
                                .size(156.dp, 44.dp),
                        )
                        // Text-19:3229-ВОЙТИ
                        Text(
                            modifier = Modifier
                                .align(Alignment.TopStart)
                                .offset(x = 25.dp, y = 12.dp)
                                .size(107.dp, 19.dp),
                            text = "ВОЙТИ",
                            color = Color(0xffffffff),
                            fontSize = 16.sp,
                            fontWeight = FontWeight.Normal,
                            textAlign = TextAlign.Center,
                            overflow = TextOverflow.Ellipsis,
                        )
                    }
                    // Box-19:3230-Group 2085660512
                    Box(
                        contentAlignment = Alignment.TopStart,
                        modifier = Modifier
                            .align(Alignment.TopStart)
                            .offset(x = 17.dp, y = 202.dp)
                            .size(322.dp, 159.dp),
                    ) {
                        // Empty-19:3231-Rectangle 5
                        Box(
                            modifier = Modifier
                                .align(Alignment.TopStart)
                                .size(322.dp, 56.dp),
                        )
                        // Text-19:3232-ВВЕДИТЕ ПАРОЛЬ
                        Text(
                            modifier = Modifier
                                .align(Alignment.TopStart)
                                .offset(x = 17.dp, y = 18.dp)
                                .size(226.dp, 19.dp),
                            text = "ВВЕДИТЕ ПАРОЛЬ",
                            color = Color(0xffffffff),
                            fontSize = 16.sp,
                            fontWeight = FontWeight.Normal,
                            textAlign = TextAlign.Left,
                            overflow = TextOverflow.Ellipsis,
                        )
                        // Text-55:816-ru/eng
                        Text(
                            modifier = Modifier
                                .align(Alignment.TopStart)
                                .offset(x = 50.dp, y = 140.dp)
                                .size(224.dp, 19.dp),
                            text = "ru/eng",
                            color = undefined,
                            fontSize = 16.sp,
                            fontWeight = FontWeight.Normal,
                            textAlign = TextAlign.Center,
                            overflow = TextOverflow.Ellipsis,
                        )
                    }
                    // Box-19:3233-Group 2085660511
                    Box(
                        contentAlignment = Alignment.TopStart,
                        modifier = Modifier
                            .align(Alignment.TopStart)
                            .offset(x = 17.dp, y = 132.dp)
                            .size(322.dp, 56.dp),
                    ) {
                        // Image-55:1956-Frame
                        Image(
                            painter = painterResource(id = R.drawable.image_551956),
                            contentDescription = null,
                            contentScale = ContentScale.Fit,
                            modifier = Modifier
                                .align(Alignment.TopStart)
                                .size(322.dp, 56.dp)
                                .clipToBounds(),
                        )
                        // Text-19:3235-ВВЕДИТЕ ЛОГИН
                        Text(
                            modifier = Modifier
                                .align(Alignment.TopStart)
                                .offset(x = 17.dp, y = 18.dp)
                                .size(219.dp, 19.dp),
                            text = "ВВЕДИТЕ ЛОГИН",
                            color = undefined,
                            fontSize = 16.sp,
                            fontWeight = FontWeight.Normal,
                            textAlign = TextAlign.Left,
                            overflow = TextOverflow.Ellipsis,
                        )
                    }
                }
            }
            // Text-19:3236-АВТОРИЗАЦИЯ
            Text(
                modifier = Modifier
                    .align(Alignment.TopCenter)
                    .offset(x = 3.5.dp, y = 273.dp)
                    .size(359.dp, 29.dp),
                text = "АВТОРИЗАЦИЯ",
                color = Color(0xffffffff),
                fontSize = 24.sp,
                fontWeight = FontWeight.Normal,
                textAlign = TextAlign.Center,
                overflow = TextOverflow.Ellipsis,
            )
            // Text-19:3237-БАИТ
            Text(
                modifier = Modifier
                    .align(Alignment.BottomCenter)
                    .offset(x = -1.5.dp, y = -24.dp)
                    .size(321.dp, 23.dp),
                text = "БАИТ",
                color = Color(0xff021829),
                fontSize = 16.sp,
                fontWeight = FontWeight.Normal,
                textAlign = TextAlign.Center,
                overflow = TextOverflow.Ellipsis,
            )
        }
        // Box-19:3238-Android Compact - 4
        Box(
            contentAlignment = Alignment.TopStart,
            modifier = Modifier
                .align(Alignment.Start)
                .fillMaxWidth()
                .padding(start = 0.dp, end = 0.dp)
                .height(917.dp)
                .clipToBounds(),
        ) {
            // Empty-19:3239-Rectangle 1
            Box(
                modifier = Modifier
                    .align(Alignment.TopStart)
                    .size(412.dp, 839.dp),
            )
            // Empty-19:3240-Rectangle 2
            Box(
                modifier = Modifier
                    .align(Alignment.TopStart)
                    .offset(x = 27.dp, y = 103.dp)
                    .background(Color(0xfffafdff), RoundedCornerShape(20.dp))
                    .size(358.dp, 757.dp),
            )
            // Text-19:3243-БАИТ
            Text(
                modifier = Modifier
                    .align(Alignment.BottomCenter)
                    .offset(x = 0.5.dp, y = -21.dp)
                    .size(321.dp, 23.dp),
                text = "БАИТ",
                color = Color(0xff021829),
                fontSize = 16.sp,
                fontWeight = FontWeight.Normal,
                textAlign = TextAlign.Center,
                overflow = TextOverflow.Ellipsis,
            )
            // Row-19:3244-Frame 2085660562
            Row(
                horizontalArrangement = Arrangement.spacedBy(space = 16.dp, alignment = Alignment.Start),
                verticalAlignment = Alignment.CenterVertically,
                modifier = Modifier
                    .align(Alignment.TopStart)
                    .wrapContentSize()
                    .offset(x = 27.dp, y = 30.dp),
            ) {
                // Image-19:3245-Frame
                Image(
                    painter = painterResource(id = R.drawable.image_193245),
                    contentDescription = null,
                    contentScale = ContentScale.Fit,
                    modifier = Modifier
                        .align(Alignment.CenterVertically)
                        .size(55.dp, 71.dp)
                        .clipToBounds(),
                )
                // Text-19:3252-ScanBait
                Text(
                    modifier = Modifier
                        .align(Alignment.CenterVertically)
                        .size(288.dp, 69.dp),
                    text = "ScanBait",
                    color = Color(0xffffffff),
                    fontSize = 48.sp,
                    fontWeight = FontWeight.Normal,
                    textAlign = TextAlign.Left,
                    overflow = TextOverflow.Ellipsis,
                )
            }
            // Box-19:3253-Frame 2085660560
            Box(
                contentAlignment = Alignment.TopStart,
                modifier = Modifier
                    .align(Alignment.TopStart)
                    .offset(x = 43.dp, y = 233.dp)
                    .size(325.dp, 273.dp)
                    .clipToBounds(),
            ) {
                // Text-19:3254-ДАННЫЕ О ВХОДЕ
                Text(
                    modifier = Modifier
                        .align(Alignment.TopStart)
                        .wrapContentHeight()
                        .width(326.dp),
                    text = "ДАННЫЕ О ВХОДЕ",
                    color = undefined,
                    fontSize = 24.sp,
                    fontWeight = FontWeight.Normal,
                    textAlign = TextAlign.Left,
                    overflow = TextOverflow.Ellipsis,
                )
                // Box-19:3255-Group 2085660559
                Box(
                    contentAlignment = Alignment.TopStart,
                    modifier = Modifier
                        .align(Alignment.TopStart)
                        .offset(x = 0.dp, y = 59.dp)
                        .size(325.dp, 180.dp),
                ) {
                    // Box-19:3256-Group 2085660556
                    Box(
                        contentAlignment = Alignment.TopStart,
                        modifier = Modifier
                            .align(Alignment.TopStart)
                            .offset(x = 1.dp, y = 0.dp)
                            .size(324.dp, 36.dp),
                    ) {
                        // Text-19:3257-Время сканирования:
                        Text(
                            modifier = Modifier
                                .align(Alignment.TopStart)
                                .size(325.dp, 17.dp),
                            text = "Время сканирования:",
                            color = Color(0xff00203a),
                            fontSize = 16.sp,
                            fontWeight = FontWeight.Normal,
                            textAlign = TextAlign.Left,
                            overflow = TextOverflow.Ellipsis,
                        )
                        // Text-19:3258-18:00 инфа крч
                        Text(
                            modifier = Modifier
                                .align(Alignment.TopStart)
                                .offset(x = 0.dp, y = 19.dp)
                                .size(325.dp, 17.dp),
                            text = "18:00 инфа крч",
                            color = Color(0xff00203a),
                            fontSize = 13.sp,
                            fontWeight = FontWeight.Normal,
                            textAlign = TextAlign.Left,
                            overflow = TextOverflow.Ellipsis,
                        )
                    }
                    // Box-19:3259-Group 2085660558
                    Box(
                        contentAlignment = Alignment.TopStart,
                        modifier = Modifier
                            .align(Alignment.TopStart)
                            .offset(x = 1.dp, y = 144.dp)
                            .size(324.dp, 36.dp),
                    ) {
                        // Text-19:3260-Тип прохода:
                        Text(
                            modifier = Modifier
                                .align(Alignment.TopStart)
                                .size(325.dp, 17.dp),
                            text = "Тип прохода:",
                            color = Color(0xff00203a),
                            fontSize = 16.sp,
                            fontWeight = FontWeight.Normal,
                            textAlign = TextAlign.Left,
                            overflow = TextOverflow.Ellipsis,
                        )
                        // Text-19:3261-какойто тип
                        Text(
                            modifier = Modifier
                                .align(Alignment.TopStart)
                                .offset(x = 0.dp, y = 19.dp)
                                .size(325.dp, 17.dp),
                            text = "какойто тип",
                            color = Color(0xff00203a),
                            fontSize = 13.sp,
                            fontWeight = FontWeight.Normal,
                            textAlign = TextAlign.Left,
                            overflow = TextOverflow.Ellipsis,
                        )
                    }
                    // Box-19:3262-Group 2085660557
                    Box(
                        contentAlignment = Alignment.TopStart,
                        modifier = Modifier
                            .align(Alignment.TopStart)
                            .offset(x = 0.dp, y = 72.dp)
                            .size(324.dp, 36.dp),
                    ) {
                        // Text-19:3263-Идентификатор:
                        Text(
                            modifier = Modifier
                                .align(Alignment.TopStart)
                                .size(325.dp, 17.dp),
                            text = "Идентификатор:\n",
                            color = Color(0xff00203a),
                            fontSize = 16.sp,
                            fontWeight = FontWeight.Normal,
                            textAlign = TextAlign.Left,
                            overflow = TextOverflow.Ellipsis,
                        )
                        // Text-19:3264-qr код
                        Text(
                            modifier = Modifier
                                .align(Alignment.TopStart)
                                .offset(x = 0.dp, y = 19.dp)
                                .size(325.dp, 17.dp),
                            text = "qr код\n",
                            color = Color(0xff00203a),
                            fontSize = 13.sp,
                            fontWeight = FontWeight.Normal,
                            textAlign = TextAlign.Left,
                            overflow = TextOverflow.Ellipsis,
                        )
                    }
                }
            }
            // Row-19:3265-Frame 2085660561
            Row(
                horizontalArrangement = Arrangement.spacedBy(space = 18.dp, alignment = Alignment.Start),
                verticalAlignment = Alignment.CenterVertically,
                modifier = Modifier
                    .align(Alignment.TopStart)
                    .offset(x = 44.dp, y = 118.dp)
                    .size(326.dp, 57.dp),
            ) {
                // Image-19:3266-Ellipse 4
                Image(
                    painter = painterResource(id = R.drawable.image1_193266),
                    contentDescription = null,
                    contentScale = ContentScale.Fit,
                    modifier = Modifier
                        .align(Alignment.CenterVertically)
                        .size(50.dp, 50.dp),
                )
                // Box-19:3267-Group 2085660560
                Box(
                    contentAlignment = Alignment.TopStart,
                    modifier = Modifier
                        .align(Alignment.CenterVertically)
                        .offset(x = 0.dp, y = 0.0005000000000023874.dp)
                        .size(171.dp, 48.813.dp),
                ) {
                    // Text-19:3268-Имя сотрудника
                    Text(
                        modifier = Modifier
                            .align(Alignment.TopStart)
                            .size(172.dp, 27.dp),
                        text = "Имя сотрудника",
                        color = Color(0xff00203a),
                        fontSize = 16.sp,
                        fontWeight = FontWeight.Normal,
                        textAlign = TextAlign.Left,
                        overflow = TextOverflow.Ellipsis,
                    )
                    // Text-19:3269-@логин
                    Text(
                        modifier = Modifier
                            .align(Alignment.TopStart)
                            .offset(x = 0.dp, y = 21.813.dp)
                            .size(172.dp, 27.dp),
                        text = "@логин",
                        color = Color(0xff00203a),
                        fontSize = 14.sp,
                        fontWeight = FontWeight.Normal,
                        textAlign = TextAlign.Left,
                        overflow = TextOverflow.Ellipsis,
                    )
                }
                // Image-55:1921-Frame 2085660565
                Image(
                    painter = painterResource(id = R.drawable.image2_551921),
                    contentDescription = null,
                    contentScale = ContentScale.Fit,
                    modifier = Modifier
                        .align(Alignment.CenterVertically)
                        .wrapContentSize(),
                )
            }
            // Row-55:818-Frame 3
            Row(
                horizontalArrangement = Arrangement.spacedBy(space = 10.dp, alignment = Alignment.CenterHorizontally),
                verticalAlignment = Alignment.CenterVertically,
                modifier = Modifier
                    .align(Alignment.TopStart)
                    .offset(x = 45.dp, y = 752.dp)
                    .size(322.dp, 56.dp)
                    .padding(horizontal = 107.dp, vertical = 18.dp),
            ) {
                // Text-55:819-СКАНИРОВАТЬ
                Text(
                    modifier = Modifier
                        .align(Alignment.CenterVertically)
                        .wrapContentSize(),
                    text = "СКАНИРОВАТЬ",
                    color = Color(0xffffffff),
                    fontSize = 16.sp,
                    fontWeight = FontWeight.Normal,
                    textAlign = TextAlign.Center,
                    overflow = TextOverflow.Ellipsis,
                )
            }
        }
        // Box-19:3274-Android Compact - 3
        Box(
            contentAlignment = Alignment.TopStart,
            modifier = Modifier
                .align(Alignment.Start)
                .fillMaxWidth()
                .padding(start = 0.dp, end = 0.dp)
                .height(917.dp)
                .clipToBounds(),
        ) {
            // Empty-19:3275-Rectangle 1
            Box(
                modifier = Modifier
                    .align(Alignment.TopStart)
                    .size(412.dp, 839.dp),
            )
            // Text-19:3276-ПАНЕЛЬ АДМИНИСТРАТОРА
            Text(
                modifier = Modifier
                    .align(Alignment.TopCenter)
                    .offset(x = 0.dp, y = 95.dp)
                    .size(360.dp, 29.dp),
                text = "ПАНЕЛЬ АДМИНИСТРАТОРА",
                color = Color(0xffffffff),
                fontSize = 24.sp,
                fontWeight = FontWeight.Normal,
                textAlign = TextAlign.Left,
                overflow = TextOverflow.Ellipsis,
            )
            // Empty-19:3277-Rectangle 2
            Box(
                modifier = Modifier
                    .align(Alignment.TopStart)
                    .offset(x = 27.dp, y = 132.dp)
                    .background(Color(0xfffafdff), RoundedCornerShape(20.dp))
                    .size(358.dp, 728.dp),
            )
            // Row-19:3278-Frame 1
            Row(
                horizontalArrangement = Arrangement.spacedBy(space = 10.dp, alignment = Alignment.Start),
                verticalAlignment = Alignment.CenterVertically,
                modifier = Modifier
                    .align(Alignment.TopStart)
                    .offset(x = 45.dp, y = 150.dp)
                    .size(322.dp, 56.dp)
                    .padding(all = 10.dp),
            ) {
                // Image-19:3279-Group
                Image(
                    painter = painterResource(id = R.drawable.image_193279),
                    contentDescription = null,
                    contentScale = ContentScale.Fit,
                    modifier = Modifier
                        .align(Alignment.CenterVertically)
                        .size(36.dp, 36.dp),
                )
                // Text-19:3281-ПОИСК ПО СОТРУДНИКУ
                Text(
                    modifier = Modifier
                        .align(Alignment.CenterVertically)
                        .size(235.dp, 19.dp),
                    text = "ПОИСК ПО СОТРУДНИКУ",
                    color = undefined,
                    fontSize = 16.sp,
                    fontWeight = FontWeight.Normal,
                    textAlign = TextAlign.Left,
                    overflow = TextOverflow.Ellipsis,
                )
            }
            // Image-55:1963-Vector
            Image(
                painter = painterResource(id = R.drawable.image_551963),
                contentDescription = null,
                contentScale = ContentScale.Fit,
                modifier = Modifier
                    .align(Alignment.TopStart)
                    .offset(x = 46.dp, y = 151.dp)
                    .size(320.dp, 54.dp),
            )
            // Row-19:3282-Frame 2085660562
            Row(
                horizontalArrangement = Arrangement.spacedBy(space = 16.dp, alignment = Alignment.Start),
                verticalAlignment = Alignment.CenterVertically,
                modifier = Modifier
                    .align(Alignment.TopStart)
                    .wrapContentSize()
                    .offset(x = 27.dp, y = 24.dp),
            ) {
                // Image-19:3283-Frame
                Image(
                    painter = painterResource(id = R.drawable.image_193283),
                    contentDescription = null,
                    contentScale = ContentScale.Fit,
                    modifier = Modifier
                        .align(Alignment.CenterVertically)
                        .size(55.dp, 71.dp)
                        .clipToBounds(),
                )
                // Text-19:3290-ScanBait
                Text(
                    modifier = Modifier
                        .align(Alignment.CenterVertically)
                        .size(288.dp, 69.dp),
                    text = "ScanBait",
                    color = Color(0xffffffff),
                    fontSize = 48.sp,
                    fontWeight = FontWeight.Normal,
                    textAlign = TextAlign.Left,
                    overflow = TextOverflow.Ellipsis,
                )
            }
            // Box-19:3293-Group 2085660509
            Box(
                contentAlignment = Alignment.TopStart,
                modifier = Modifier
                    .align(Alignment.TopStart)
                    .offset(x = 45.dp, y = 224.dp)
                    .size(322.dp, 591.dp),
            ) {
                // Empty-19:3294-Rectangle 3
                Box(
                    modifier = Modifier
                        .align(Alignment.TopStart)
                        .size(272.dp, 31.dp),
                )
                // Text-19:3295-ЛОГИН
                Text(
                    modifier = Modifier
                        .align(Alignment.TopStart)
                        .offset(x = 8.dp, y = 8.dp)
                        .size(51.dp, 15.dp),
                    text = "ЛОГИН",
                    color = Color(0xffffffff),
                    fontSize = 10.sp,
                    fontWeight = FontWeight.Normal,
                    textAlign = TextAlign.Center,
                    overflow = TextOverflow.Ellipsis,
                )
                // Text-19:3296-ВРЕМЯ
                Text(
                    modifier = Modifier
                        .align(Alignment.TopStart)
                        .offset(x = 76.dp, y = 8.dp)
                        .size(51.dp, 15.dp),
                    text = "ВРЕМЯ",
                    color = Color(0xffffffff),
                    fontSize = 10.sp,
                    fontWeight = FontWeight.Normal,
                    textAlign = TextAlign.Center,
                    overflow = TextOverflow.Ellipsis,
                )
                // Text-19:3297-НАЗВАНИЕ
                Text(
                    modifier = Modifier
                        .align(Alignment.TopStart)
                        .offset(x = 141.dp, y = 8.dp)
                        .size(57.dp, 15.dp),
                    text = "НАЗВАНИЕ",
                    color = Color(0xffffffff),
                    fontSize = 10.sp,
                    fontWeight = FontWeight.Normal,
                    textAlign = TextAlign.Center,
                    overflow = TextOverflow.Ellipsis,
                )
                // Text-19:3298-ТИП
                Text(
                    modifier = Modifier
                        .align(Alignment.TopStart)
                        .offset(x = 212.dp, y = 8.dp)
                        .size(51.dp, 15.dp),
                    text = "ТИП",
                    color = Color(0xffffffff),
                    fontSize = 10.sp,
                    fontWeight = FontWeight.Normal,
                    textAlign = TextAlign.Center,
                    overflow = TextOverflow.Ellipsis,
                )
                // Image-19:3299-Group 2085660554
                Image(
                    painter = painterResource(id = R.drawable.image1_193299),
                    contentDescription = null,
                    contentScale = ContentScale.Fit,
                    modifier = Modifier
                        .align(Alignment.TopStart)
                        .offset(x = 0.dp, y = 31.dp)
                        .size(314.dp, 560.dp),
                )
                // Image-19:3414-Group 2085660508
                Image(
                    painter = painterResource(id = R.drawable.image2_193414),
                    contentDescription = null,
                    contentScale = ContentScale.Fit,
                    modifier = Modifier
                        .align(Alignment.TopStart)
                        .offset(x = 1.dp, y = 0.dp)
                        .size(203.dp, 589.dp),
                )
                // Box-19:3419-Group 2085660549
                Box(
                    contentAlignment = Alignment.TopStart,
                    modifier = Modifier
                        .align(Alignment.TopStart)
                        .offset(x = 271.dp, y = 0.dp)
                        .size(51.dp, 31.dp),
                ) {
                    // Empty-19:3420-Rectangle 10
                    Box(
                        modifier = Modifier
                            .align(Alignment.TopStart)
                            .offset(x = 3.dp, y = 0.dp)
                            .size(48.dp, 31.dp),
                    )
                    // Text-19:3421-off/on
                    Text(
                        modifier = Modifier
                            .align(Alignment.TopStart)
                            .offset(x = 0.dp, y = 8.dp)
                            .size(51.dp, 15.dp),
                        text = "off/on",
                        color = Color(0xffffffff),
                        fontSize = 10.sp,
                        fontWeight = FontWeight.Normal,
                        textAlign = TextAlign.Center,
                        overflow = TextOverflow.Ellipsis,
                    )
                }
                // Image-19:3422-ГОР
                Image(
                    painter = painterResource(id = R.drawable.image3_193422),
                    contentDescription = null,
                    contentScale = ContentScale.Fit,
                    modifier = Modifier
                        .align(Alignment.TopStart)
                        .offset(x = 1.679.dp, y = 51.dp)
                        .size(268.642.dp, 520.dp),
                )
            }
            // Text-19:3450-БАИТ
            Text(
                modifier = Modifier
                    .align(Alignment.BottomCenter)
                    .offset(x = 1.5.dp, y = -21.dp)
                    .size(321.dp, 23.dp),
                text = "БАИТ",
                color = Color(0xff021829),
                fontSize = 16.sp,
                fontWeight = FontWeight.Normal,
                textAlign = TextAlign.Center,
                overflow = TextOverflow.Ellipsis,
            )
        }
    }
}

@Preview(showBackground = true)
@Composable
fun CodiaMainViewPreview() {
    CodiaDemoComposeUITheme {
        Surface(
            modifier = Modifier.fillMaxSize(),
            color = MaterialTheme.colorScheme.background
        ) {
            val scrollState = rememberScrollState()
            Column(modifier = Modifier.verticalScroll(scrollState)) {
                CodiaMainView()
            }
        }
    }
}
